FROM joseluisq/php-fpm:8.2

RUN mkdir -p /var/log/supervisor/

RUN apk add --update --no-cache \
    supervisor \
    openssh \
    git \
    icu-libs \
    && rm -rf /tmp/* /var/cache/apk/*

RUN rm -f /usr/local/etc/php/conf.d/docker-php-ext-psr.ini

COPY .docker/supervisor/config/supervisord.conf /etc/supervisord.conf

CMD ["supervisord", "-c", "/etc/supervisord.conf", "-n"]
